/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_PLAYLIST_H
#define OCARINA_GUI_PLAYLIST_H
#include <core/playlist.h>
#include <gui/playlists/artist.h>
#include <gui/playlists/library.h>
#include <gui/playlists/system.h>
#include <gui/playlists/user.h>

/* Called to initialize the GUI playlist code. */
void gui_playlist_init();

/* Called to get the currently selected playlist. */
const gchar *gui_playlist_cur();

/* Playlist operations passed to core_init() */
extern struct queue_ops playlist_ops;

#endif /* OCARINA_GUI_PLAYLIST_H */
